OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESGeom

# IGESGeom_CircularArc Class Reference

defines IGESCircularArc, Type <100> Form <0>
in package IGESGeom
A circular arc is a connected portion of a parent circle
which consists of more than one point. The definition space
coordinate system is always chosen so that the circular arc
remains in a plane either coincident with or parallel to
the XT, YT plane.

`#include <IGESGeom_CircularArc.hxx>`

Inheritance diagram for IGESGeom_CircularArc:

[legend]

## Public Member Functions
Standard_EXPORT | IGESGeom_CircularArc ()
Standard_EXPORT void | Init (const Standard_Real aZT, const gp_XY &aCenter, const gp_XY &aStart, const gp_XY &anEnd)
| This method is used to set the fields of the class CircularArc - aZT : Shift above the Z plane - aCenter : Center of the circle of which the arc forms a part - aStart : Starting point of the circular arc - anEnd : Ending point of the circular arc .
Standard_EXPORT gp_Pnt2d | Center () const
| returns the center of the circle of which arc forms a part
Standard_EXPORT gp_Pnt | TransformedCenter () const
| returns the center of the circle of which arc forms a part after applying Transf. Matrix
Standard_EXPORT gp_Pnt2d | StartPoint () const
| returns the start point of the arc
Standard_EXPORT gp_Pnt | TransformedStartPoint () const
| returns the start point of the arc after applying Transf. Matrix
Standard_EXPORT Standard_Real | ZPlane () const
| returns the parallel displacement of the plane containing the arc from the XT, YT plane
Standard_EXPORT gp_Pnt2d | EndPoint () const
| returns the end point of the arc
Standard_EXPORT gp_Pnt | TransformedEndPoint () const
| returns the end point of the arc after applying Transf. Matrix
Standard_EXPORT Standard_Real | Radius () const
| returns the radius of the circle of which arc forms a part
Standard_EXPORT Standard_Real | Angle () const
| returns the angle subtended by the arc at the center in radians
Standard_EXPORT gp_Dir | Axis () const
| Z-Axis of circle (i.e. [0,0,1]) .
Standard_EXPORT gp_Dir | TransformedAxis () const
| Z-Axis after applying Trans. Matrix .
Standard_EXPORT Standard_Boolean | IsClosed () const
| True if StartPoint = EndPoint .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | theZT
gp_XY | theCenter
gp_XY | theStart
gp_XY | theEnd

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_CircularArc::IGESGeom_CircularArc | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real IGESGeom_CircularArc::Angle | ( |  | ) | const

Standard_EXPORT gp_Dir IGESGeom_CircularArc::Axis | ( |  | ) | const

Standard_EXPORT gp_Pnt2d IGESGeom_CircularArc::Center | ( |  | ) | const

Standard_EXPORT gp_Pnt2d IGESGeom_CircularArc::EndPoint | ( |  | ) | const

Standard_EXPORT const IGESGeom_CircularArc::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGeom_CircularArc::Init | ( | const Standard_Real | aZT,
|  | const gp_XY & | aCenter,
|  | const gp_XY & | aStart,
|  | const gp_XY & | anEnd
| ) |

Standard_EXPORT Standard_Boolean IGESGeom_CircularArc::IsClosed | ( |  | ) | const

Standard_EXPORT Standard_Real IGESGeom_CircularArc::Radius | ( |  | ) | const

Standard_EXPORT gp_Pnt2d IGESGeom_CircularArc::StartPoint | ( |  | ) | const

Standard_EXPORT gp_Dir IGESGeom_CircularArc::TransformedAxis | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESGeom_CircularArc::TransformedCenter | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESGeom_CircularArc::TransformedEndPoint | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESGeom_CircularArc::TransformedStartPoint | ( |  | ) | const

Standard_EXPORT Standard_Real IGESGeom_CircularArc::ZPlane | ( |  | ) | const

## Field Documentation

gp_XY IGESGeom_CircularArc::theCenter`[private]`

gp_XY IGESGeom_CircularArc::theEnd`[private]`

gp_XY IGESGeom_CircularArc::theStart`[private]`

Standard_Real IGESGeom_CircularArc::theZT`[private]`

The documentation for this class was generated from the following file:

- IGESGeom_CircularArc.hxx